Subject: Re: bug#39347: 28.0.50; iso8601-parse can't handle all legal date values?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jan 2020 03:05:16 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Hm...  I didn't add support for "---12T14" (that is, 14:00 on the
> twelfth)...  I didn't peruse the 2000 version of the standard
> sufficiently to see whether that was supposed to be valid or not.  My
> guess is that it was.  :-/

OK, I couldn't live with that, so I've now made this work:

(iso8601-parse "---12T14")
=> (0 0 14 12 nil nil nil -1 nil)

This'll be useful for exactly nobody.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no